=== debian/control ===
Source: libxtrx
Priority: optional
Maintainer: Sepi Gair <sepigair@email.cz>
Build-Depends:
    debhelper-compat (= 13),
    cmake,
    pkgconf,
    qtbase5-dev,
    libqcustomplot-dev,
    libsoapysdr-dev (>= 0.8),
    liblms7compact-dev,
    libxtrxdsp-dev,
    libxtrxll-dev
Standards-Version: 4.6.0
Section: libs
Homepage: https://github.com/xtrx-sdr/libxtrx
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/libxtrx
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/libxtrx.git

Package: libxtrx-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libxtrx0 (= ${binary:Version}), ${misc:Depends}
Description: High-level XTRX API library: development
 This package is part of the library set for XTRX support.
 .
 XTRX is the smallest easily embeddable software-defined radio (SDR). It is
 both affordable and high-performance. XTRX is designed to enable the next
 generation of wireless solutions, from prototype to production.
 .
 This package contains development files.

Package: libxtrx0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: High-level XTRX API library
 This package is part of the library set for XTRX support.
 .
 XTRX is the smallest easily embeddable software-defined radio (SDR). It is
 both affordable and high-performance. XTRX is designed to enable the next
 generation of wireless solutions, from prototype to production.
 .
 This package contains the shared library and utilities for testing it.

Package: soapysdr0.8-module-xtrx
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: XTRX device support for SoapySDR
 XTRX is the smallest easily embeddable software-defined radio (SDR). It is
 both affordable and high-performance. XTRX is designed to enable the next
 generation of wireless solutions, from prototype to production.
 .
 This package contains the XTRX hardware support module for SoapySDR.

Package: soapysdr-module-xtrx
Architecture: any
Multi-Arch: same
Depends: soapysdr0.8-module-xtrx, ${misc:Depends}
Description: XTRX device support for SoapySDR (default version)
 XTRX is the smallest easily embeddable software-defined radio (SDR). It is
 both affordable and high-performance. XTRX is designed to enable the next
 generation of wireless solutions, from prototype to production.
 .
 This is an empty dependency package that pulls in the XTRX support module for
 the default version of libsoapysdr.

Package: xtrx-fft
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple spectrum browser for XTRX
 XTRX is the smallest easily embeddable software-defined radio (SDR). It is
 both affordable and high-performance. XTRX is designed to enable the next
 generation of wireless solutions, from prototype to production.
 .
 This package contains example spectrum browser which uses libxtrx API.
